<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Esercizio-4</title>
  <style>
    body{
      background-color:rgb(132, 167, 190);
      margin:30px;
    }
    .cnt{
      background-color:rgb(128, 184, 221);
      border: 3px solid rgb(21, 121, 187);
      box-shadow: 0 4px 8px 0 rgba(7, 21, 61, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
      width: 200px;
      padding: 10px;
      margin : auto ;
      position: relative;

    }
    .form{
      text-align: center;
      padding: 10px;
      color:black;
    }
    .form button{
      background-color:  rgb(21, 121, 187);
      color: white;
      border: none;
    }

    #modal-benvenuto {
    display:none;
}
#modal-blocco {
    display:none;
  
}

body.benvenuto #modal-benvenuto {
    display: block;
   
   text-align: center;
    color: blue;
    font-weight: bold;

}
body.benvenuto #modal-login {
    display: none;
}

body.blocco #modal-blocco {
    display:block;
    text-align: center;
    background-color:  white;
} 
  </style>
</head>
<body class="">

  <div class="box" id="modal-login">
      
      <div class="cnt">
        <div class="box" id="modal-blocco">
          CREDENZIALI NON CORRETTE
      </div>
          <div class="form">
              <label>USERNAME</label>
              <input type="text" id="username"/>
          </div>
          <div class="form">
              <label>PASSWORD</label>
              <input type="password" id="password"/>
          </div>
          <div class="form">
              <button onclick="accedi()">ACCEDI</button>
          </div>
      </div>
  </div>

  <div class="box" id="modal-benvenuto">
      <h1>BENVENUTO AMMINISTRATORE</h1>
  </div>

  <script>
 function check(){
  let u = document.querySelector("#username");
  let p = document.querySelector("#password");
  if (u.value != 'admin') return false;
  if (p.value!= 'root') return false;
  return true;
 }
 function accedi(){
   if(check()){
     visualizzaBenvenuto();

   }
   else(check())
   {
     visualizzaBlocco();

   }
 }
 function visualizzaBenvenuto(){
   document.querySelector('body').classList.add('benvenuto')
 }
 function visualizzaBlocco(){
   let body = document.querySelector('body')
  body.classList.add('blocco')
  setTimeout(()=>body.classList.remove('blocco'), 5000)
 
 }
  </script>
</body>
</html>